SDL_internal.h File Reference
`#include "dynapi/SDL_dynapi.h"`
`#include "dynapi/SDL_dynapi_overrides.h"`
`#include "SDL_config.h"`
Include dependency graph for SDL_internal.h:

Go to the source code of this file.

## Macros

#define | _GNU_SOURCE
#define | SDL_VARIABLE_LENGTH_ARRAY
#define | SDL_MAX_SMALL_ALLOC_STACKSIZE 128
#define | SDL_small_alloc(type, count, pisstack) ( (*(pisstack) = ((sizeof(type)*(count)) < SDL_MAX_SMALL_ALLOC_STACKSIZE)), (*(pisstack) ? SDL_stack_alloc(type, count) : (type*)SDL_malloc(sizeof(type)*(count))) )
#define | SDL_small_free(ptr, isstack) if ((isstack)) { SDL_stack_free(ptr); } else { SDL_free(ptr); }
#define | DECLSPEC
#define | SDLCALL

## Macro Definition Documentation

## _GNU_SOURCE

#define _GNU_SOURCE

Definition at line 26 of file SDL_internal.h.

## DECLSPEC

#define DECLSPEC

Definition at line 48 of file SDL_internal.h.

## SDL_MAX_SMALL_ALLOC_STACKSIZE

#define SDL_MAX_SMALL_ALLOC_STACKSIZE 128

Definition at line 38 of file SDL_internal.h.

## SDL_small_alloc

#define SDL_small_alloc | ( |  | type,
|  |  | count,
|  |  | pisstack
| ) |  | ( (*(pisstack) = ((sizeof(type)*(count)) < SDL_MAX_SMALL_ALLOC_STACKSIZE)), (*(pisstack) ? SDL_stack_alloc(type, count) : (type*)SDL_malloc(sizeof(type)*(count))) )

Definition at line 39 of file SDL_internal.h.

## SDL_small_free

#define SDL_small_free | ( |  | ptr,
|  |  | isstack
| ) |  | if ((isstack)) { SDL_stack_free(ptr); } else { SDL_free(ptr); }

Definition at line 40 of file SDL_internal.h.

## SDL_VARIABLE_LENGTH_ARRAY

#define SDL_VARIABLE_LENGTH_ARRAY

Definition at line 35 of file SDL_internal.h.

## SDLCALL

#define SDLCALL

Definition at line 49 of file SDL_internal.h.